      program real_randoms

      parameter (N=100)

      real A(N), HA(N)
cmf$  layout HA(:HOST)

      print *, 'Get ',N,' random numbers from 0 to 1'

      call cmf_random (A)

      HA = A

      print 10, HA
  10  FORMAT (8F10.5)

      end
